<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder:  Fichier source de inc/wrapper.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('wrapper_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">wrapper.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="wrapper_8h.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define _GNU_SOURCE</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;string.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;errno.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;dirent.h&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;sys/stat.h&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;sys/param.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;ctype.h&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;time.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;pwd.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;grp.h&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;pthread.h&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;signal.h&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;stdarg.h&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="logger_8h.html">logger.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#ifndef _WRAPPER_H_</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#define _WRAPPER_H_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#define INTLEN 10</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keywordtype">int</span> <a class="code" href="wrapper_8c.html#af8639a317ba386d274925c54d34750ec">my_mkdir</a>(<span class="keywordtype">char</span>* dir_path);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keywordtype">int</span> <a class="code" href="wrapper_8c.html#a0c8dd6df1b15bce33e8ecda6640bea10">my_rmdir</a>(<span class="keywordtype">char</span>* dir_path);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;DIR* <a class="code" href="wrapper_8c.html#a0dbf1c44c38c45cb904885ee84e02dda">my_opendir</a>(<span class="keywordtype">char</span>* dir_path);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keywordtype">int</span> <a class="code" href="wrapper_8c.html#ac4e2d8ebeb70f69f794a87dd5b0a5530">my_closedir</a>(DIR* dir);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keywordtype">int</span> <a class="code" href="wrapper_8c.html#ac4685db44f12fc886fd49c080e4b7805">my_rm</a>(<span class="keywordtype">char</span>* pathname);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keywordtype">int</span> <a class="code" href="wrapper_8c.html#ac8dc1b8f39c8b2f9c396d5d1031737b2">my_ln</a>(<span class="keywordtype">char</span>* oldpath, <span class="keywordtype">char</span>* newpath);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">void</span> write_file(<span class="keywordtype">char</span>* dir_path, <span class="keywordtype">char</span>* file_name);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keywordtype">int</span> read_file(<span class="keywordtype">char</span>* dir_path, <span class="keywordtype">char</span>* file_name);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="wrapper_8c_html_a0dbf1c44c38c45cb904885ee84e02dda"><div class="ttname"><a href="wrapper_8c.html#a0dbf1c44c38c45cb904885ee84e02dda">my_opendir</a></div><div class="ttdeci">DIR * my_opendir(char *dir_path)</div><div class="ttdoc">Ouverture d&amp;#39;un répertoire. </div><div class="ttdef"><b>Definition:</b> wrapper.c:58</div></div>
<div class="ttc" id="wrapper_8c_html_ac4685db44f12fc886fd49c080e4b7805"><div class="ttname"><a href="wrapper_8c.html#ac4685db44f12fc886fd49c080e4b7805">my_rm</a></div><div class="ttdeci">int my_rm(char *pathname)</div><div class="ttdoc">Fermeture d&amp;#39;un fichier. </div><div class="ttdef"><b>Definition:</b> wrapper.c:87</div></div>
<div class="ttc" id="wrapper_8c_html_af8639a317ba386d274925c54d34750ec"><div class="ttname"><a href="wrapper_8c.html#af8639a317ba386d274925c54d34750ec">my_mkdir</a></div><div class="ttdeci">int my_mkdir(char *dir_path)</div><div class="ttdoc">Création d&amp;#39;un nouveau répertoire. </div><div class="ttdef"><b>Definition:</b> wrapper.c:17</div></div>
<div class="ttc" id="wrapper_8c_html_ac4e2d8ebeb70f69f794a87dd5b0a5530"><div class="ttname"><a href="wrapper_8c.html#ac4e2d8ebeb70f69f794a87dd5b0a5530">my_closedir</a></div><div class="ttdeci">int my_closedir(DIR *dir)</div><div class="ttdoc">Fermeture d&amp;#39;un répertoire. </div><div class="ttdef"><b>Definition:</b> wrapper.c:73</div></div>
<div class="ttc" id="logger_8h_html"><div class="ttname"><a href="logger_8h.html">logger.h</a></div><div class="ttdoc">C&amp;#39;est le header du fichier logger.c. </div></div>
<div class="ttc" id="wrapper_8c_html_ac8dc1b8f39c8b2f9c396d5d1031737b2"><div class="ttname"><a href="wrapper_8c.html#ac8dc1b8f39c8b2f9c396d5d1031737b2">my_ln</a></div><div class="ttdeci">int my_ln(char *oldpath, char *newpath)</div><div class="ttdoc">Fermeture d&amp;#39;un fichier. </div><div class="ttdef"><b>Definition:</b> wrapper.c:102</div></div>
<div class="ttc" id="wrapper_8c_html_a0c8dd6df1b15bce33e8ecda6640bea10"><div class="ttname"><a href="wrapper_8c.html#a0c8dd6df1b15bce33e8ecda6640bea10">my_rmdir</a></div><div class="ttdeci">int my_rmdir(char *dir_path)</div><div class="ttdoc">Suppression d&amp;#39;un répertoire. </div><div class="ttdef"><b>Definition:</b> wrapper.c:31</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="wrapper_8h.html">wrapper.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
